FruxonDocs
ApiAgentcollaborator

Adds or updates a collaborator's access to an agent.

PUT
/v1/tenants/{tenant}/agents/{agent}/collaborators

Path Parameters

agent*string

The agent ID.

tenant*string

The tenant identifier

The collaborator details.

userId*string|null
role?string
Value in"viewer" | "editor" | "admin"
alertPreferences?
[key: string]?never

Response Body

curl -X PUT "https://api.fruxon.com/v1/tenants/string/agents/string/collaborators" \  -H "Content-Type: application/json" \  -d '{    "userId": "string"  }'
{
  "agentId": "string",
  "userId": "string",
  "role": "Viewer",
  "status": "Pending",
  "alertPreferences": {
    "errorAlerts": false,
    "accessRequestAlerts": false,
    "budgetAlerts": false
  },
  "createdAt": 0,
  "modifiedAt": 0,
  "tenantId": "00000000-0000-0000-0000-000000000000"
}
Empty
Empty